Download

Download

This Diablo application for x86 code obfuscation, called Loco, is now freely available!

Version: 0.0.1
Release Date: January 03 2006
Modules: support object flowgraph anopt lancet flatten opaque

We are definitely interested in your feedback. If you have problems using Loco, or if you have suggestions or questions, subscribe to the mailing list and/or send mail to

diablo at elis.ugent.be.

Downloading and Installing Loco 0.0.1

To download and install Loco 0.0.1, get http://diablo.elis.ugent.be/sites/diablo/files/obfuscation/Loco-0.0.1/get_current.bash

automated build

Get the download and build script called get_current.bash. Save it in a directory in which you want to install diablo. Execute the script. It will fetch the tarballs listed in the above directory, extract them and build local versions of all the libraries that make up Loco. After the script finishes (takes some time), you end up with a directory called loco. It contains the Loco libraries in loco/lib and headers in loco/include, as well as pkg-config information in loco/lib/pkgconfig.

Known Issues

I'm still working on the "glue code" between the obfuscation libraries, the diablo libraries and the lancet functionality.

Download snapshot

The new version of Loco (0.0.2) will be released in the near future! At the moment, it contains some bug fixes of the Loco 0.0.1 and some new features ...

Version: 0.0.2
Release Date: Some day in 2006 (Update 2009/05/08: fixed building)
Modules: support object flowgraph anopt lancet flatten opaque ...

Downloading and Installing the latest Loco snapshot

To download and install Loco snapshot, get http://diablo.elis.ugent.be/sites/diablo/files/obfuscation/Loco-0.0.2/get_current-n.bash

Execute it, and everything will be automatically downloaded and built. Afterwards, the executable loco is located under loco/bin. Caveat: do not use the "optimize" button in the gui, it does not work in Loco. The rest should work fine.